package com.sample.test.service.requesthandler.servicea;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.Stateless;
import javax.jws.WebService;
import javax.xml.datatype.DatatypeConfigurationException;
import javax.xml.datatype.DatatypeFactory;

@WebService(serviceName = "ServiceA", portName = "ServiceAHttpPort",
endpointInterface = "com.sample.test.service.requesthandler.servicea.ServiceAPortType",
targetNamespace = "http://test.sample.com/service/requesthandler/servicea",
wsdlLocation = "META-INF/wsdl/ServiceAEndpoint/ServiceA.wsdl")
@Stateless
public class ServiceAEndpoint implements ServiceAPortType
{

    public com.sample.test.service.requesthandler.servicea.InvokeTestReply invokeTest(
            com.sample.test.service.requesthandler.servicea.InvokeTest part1)
    {
        InvokeTestReply response = new InvokeTestReply();
        DatatypeFactory factory;
        try
        {
            factory = DatatypeFactory.newInstance();
            Logger.getLogger(ServiceAEndpoint.class.getName()).log(Level.INFO, "ServiceA operation invokeTest called " +
                    "from "+part1.getMessage());            
            response.setResponseTime(factory.newXMLGregorianCalendar());
        }
        catch (DatatypeConfigurationException ex)
        {
            Logger.getLogger(ServiceAEndpoint.class.getName()).log(Level.SEVERE, null, ex);
        }
        return response;
    }
}
